import axios from '@/libs/axios.js'
// 待处理订单
export const waitOrderQuery = (params) => {
  return axios.request({
    url: `reserve/orderReserveWaitPage`,
    method: 'post',
	data: params
  })
}
// 首页当天订单完成数量/金额/重量统计
export const reserveTotal = (params) => {
  return axios.request({
    url: `reserve/orderReserveTodayInfo`,
    method: 'post',
	data: params
  })
}

// 根据垃圾大类型查询今日价格
export const reservePriceFind = (params) => {
  return axios.request({
    url: `reserve/findByRubbishType`,
    method: 'post',
	data:params
  })
}
// 开始/停止接单
export const changeWorkState = (params) => {
  return axios.request({
    url: `reserve/stopTakingorderReserve`,
    method: 'post',
	data:params
  })
}
// 回收统计
export const recycleOrderReserve = (params) => {
	let url = `reserve/recycleOrderReservePage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
  return axios.request({
    url: url,
    method: 'post',
	data:params
  })
}
// 回收统计总计
export const recycleOrderReserveSum = (params) => {
  return axios.request({
    url: `reserve/recycleOrderReserveSum`,
    method: 'post',
	data:params
  })
}
// 骑手状态
export const WorkStatusGet = (params) => {
  return axios.request({
    url: `reserve/hangWorkStatus`,
    method: 'post',
  })
}
