import axios from '@/libs/axios.js'
// 历史记录预约单列表
export const historyOrderQuery = (params) => {
	let url = `reserve/historyOrderReservePage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
  return axios.request({
    url: url,
    method: 'post',
	data:params
  })
}
// 历史记录预约单列表金额/重量汇总
export const historyOrderTotal = (params) => {
  return axios.request({
    url: 'reserve/historyGroupExtPage',
    method: 'post',
	data:params
  })
}
// 订单详情
export const orderDetailFind = (params) => {
  return axios.request({
    url: 'reserve/orderReserveInfo',
    method: 'post',
	data:params
  })
}
// 预订单提交
export const orderSubmit = (params) => {
  return axios.request({
    url: 'reserve/OrderReserveSubmit',
    method: 'post',
	data:params
  })
}
